Ruby: state Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
state Struct Reference

## Data Fields
blast_in | infun
void * | inhow
unsigned char * | in
unsigned | left
int | bitbuf
int | bitcnt
jmp_buf | env
blast_out | outfun
void * | outhow
unsigned | next
int | first
unsigned char | out [MAXWIN]
unsigned char * | out
unsigned long | outlen
unsigned long | outcnt
const unsigned char * | in
unsigned long | inlen
unsigned long | incnt

## Detailed Description

Definition at line 41 of file blast.c.

## Field Documentation

## ◆ bitbuf

int state::bitbuf

Definition at line 47 of file blast.c.

Referenced by bits(), blast(), decode(), puff(), and stored().

## ◆ bitcnt

int state::bitcnt

Definition at line 48 of file blast.c.

Referenced by bits(), blast(), decode(), puff(), and stored().

## ◆ env

jmp_buf state::env

Definition at line 51 of file blast.c.

Referenced by bits(), blast(), decode(), and puff().

## ◆ first

int state::first

Definition at line 57 of file blast.c.

Referenced by blast(), and decomp().

## ◆ in [1/2]

unsigned char* state::in

Definition at line 45 of file blast.c.

Referenced by bits(), blast(), decode(), gz_avail(), gz_init(), gz_look(), gz_write(), gz_zero(), gzclose_r(), gzclose_w(), gzputc(), gzvprintf(), puff(), and stored().

## ◆ in [2/2]

const unsigned char* state::in

Definition at line 105 of file puff.c.

## ◆ incnt

unsigned long state::incnt

Definition at line 107 of file puff.c.

Referenced by bits(), decode(), puff(), and stored().

## ◆ infun

blast_in state::infun

Definition at line 43 of file blast.c.

Referenced by bits(), blast(), and decode().

## ◆ inhow

void* state::inhow

Definition at line 44 of file blast.c.

Referenced by bits(), blast(), and decode().

## ◆ inlen

unsigned long state::inlen

Definition at line 106 of file puff.c.

Referenced by bits(), decode(), puff(), and stored().

## ◆ left

unsigned state::left

Definition at line 46 of file blast.c.

Referenced by bits(), blast(), and decode().

## ◆ next

unsigned state::next

Definition at line 56 of file blast.c.

Referenced by blast(), decomp(), gz_comp(), gz_decomp(), gz_fetch(), gz_init(), gz_look(), gz_read(), gz_skip(), gzgetc(), gzgets(), gzseek64(), gzungetc(), inflate(), inflateBack(), inflateBack9(), inflateCodesUsed(), inflateCopy(), and inflateResetKeep().

## ◆ out [1/2]

unsigned char state::out[MAXWIN]

Definition at line 58 of file blast.c.

Referenced by blast(), codes(), decomp(), gz_comp(), gz_fetch(), gz_init(), gz_look(), gzclose_r(), gzclose_w(), gzungetc(), puff(), and stored().

## ◆ out [2/2]

unsigned char* state::out

Definition at line 100 of file puff.c.

## ◆ outcnt

unsigned long state::outcnt

Definition at line 102 of file puff.c.

Referenced by codes(), puff(), and stored().

## ◆ outfun

blast_out state::outfun

Definition at line 54 of file blast.c.

Referenced by blast(), and decomp().

## ◆ outhow

void* state::outhow

Definition at line 55 of file blast.c.

Referenced by blast(), and decomp().

## ◆ outlen

unsigned long state::outlen

Definition at line 101 of file puff.c.

Referenced by codes(), puff(), and stored().

The documentation for this struct was generated from the following files:

- ext/zlib/zlib-1.2.13/contrib/blast/blast.c
- ext/zlib/zlib-1.2.13/contrib/puff/puff.c